Bug 243405 - www/sabredav: make fetchable
Summary: www/sabredav: make fetchable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-17 08:30 UTC by Krzysztof
Modified: 2020-01-30 04:27 UTC (History)
3 users (show)

See Also:
matthias+freebsd+bugzilla: maintainer-feedback+


Attachments
www/sabre-dav patch (83.84 KB, patch)
2020-01-17 08:30 UTC, Krzysztof
no flags Details | Diff
sabre-dav-poudriere-log (25.78 KB, text/plain)
2020-01-17 08:32 UTC, Krzysztof
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof 2020-01-17 08:30:43 UTC
Created attachment 210810 [details]
www/sabre-dav patch

www/sabredav is mark as unfetchable. That's because github changed way to download releases arvhives.

I've made a patch which unbrake fetch. Also it seems that archive is changed so patch also covers this change.

Also I'm attaching log from poudriere.
Comment 1 Krzysztof 2020-01-17 08:32:10 UTC
Created attachment 210811 [details]
sabre-dav-poudriere-log

poudriere log
Comment 2 matthias+freebsd+bugzilla 2020-01-17 10:22:18 UTC
Patch works fine.

Can be commited.
Comment 3 Koichiro Iwao freebsd_committer 2020-01-29 03:58:34 UTC
Your patch fails to apply. Can you submit it again versus current ports tree?
Comment 4 Krzysztof 2020-01-29 10:29:59 UTC
Hi,

Hmm that's strange. I've just updated ports tree for my poudriere and applied this patch without any errors. I can see that www/sabredav was not changed lately. 

So where is the mistake?
Comment 5 Koichiro Iwao freebsd_committer 2020-01-30 02:40:52 UTC
(In reply to Krzysztof from comment #4)
Sorry, that was my mistake.
Comment 6 commit-hook freebsd_committer 2020-01-30 02:48:37 UTC
A commit references this bug:

Author: meta
Date: Thu Jan 30 02:47:58 UTC 2020
New revision: 524623
URL: https://svnweb.freebsd.org/changeset/ports/524623

Log:
  www/sabredav: bump PORTREVISION after r524622

  Also, put USES earlier.

  PR:		243405

Changes:
  head/www/sabredav/Makefile
Comment 7 Koichiro Iwao freebsd_committer 2020-01-30 04:27:18 UTC
Committed, thanks!